//
//  Extension+Color.swift
//
//
//  Created by Victor on 12/06/2024.
//

import SwiftUI

extension Color {
    static func sqRoyal(_ variant: Int = 60) -> Color {
        return Color("ROYAL_\(variant)")
    }
    
    static func sqPurple(_ variant: Int = 60) -> Color {
        return Color("PURPLE_\(variant)")
    }
    
    static func sqNeutral(_ variant: Int = 60) -> Color {
        return Color("NEUTRAL_\(variant)")
    }
    
    static func sqOrange(_ variant: Int = 60) -> Color {
        return Color("ORANGE_\(variant)")
    }
    
    static func sqGreen(_ variant: Int = 60) -> Color {
        return Color("GREEN_\(variant)")
    }

    static func sqYellow(_ variant: Int = 60) -> Color {
        return Color("YELLOW_\(variant)")
    }

    static func sqGold(_ variant: Int = 60) -> Color {
        return Color("GOLD_\(variant)")
    }

    static func sqBlue(_ variant: Int = 60) -> Color {
        return Color("BLUE_\(variant)")
    }

    static func sqGrape(_ variant: Int = 60) -> Color {
        return Color("GRAPE_\(variant)")
    }

    static let sqSemanticRed = Color("SEMANTIC_RED")
    static let sqSemanticOrange = Color("SEMANTIC_CRITICAL")
    static let sqSemanticGreen = Color("SEMANTIC_GREEN")
    static let sqSemanticBlue = Color("SEMANTIC_BLUE")
    static let sqSemanticCritical = Color("SEMANTIC_CRITICAL")
    static let sqSemanticWarning = Color("SEMANTIC_WARNING")
    static let sqSemanticPositive = Color("SEMANTIC_GREEN")
    static let sqSemanticNegative = Color("SEMANTIC_RED")
}
